select
  cast(nt.numdocumento as varchar(100)) as numero_nota
  , cast((mo.numparcela || '\' || (select count(*) from movimento re where re.cdnota = nt.cdnota)) as varchar(10)) as numero_parcela
  , mo.dtvencimento as data_vencimento
  , mo.valor as valor_parcela
  , cast(pes.nome as varchar(100)) as fornecedor
  , cast(pr.nome as varchar(100)) as produto
  , cast(ni.qtde as decimal(15,2)) as quantidade_produto
  , mo.dtpagamento as data_pagamento
  , cast(mo.vrpago as decimal(15,2)) as valor_pago
  , con.descricao as conta_corrente
  , mo.dtcompensacao as data_compensacao
  , ccu.descricao as centro_custo
  , CAST(((coalesce(mo.vrpago, mo.valor)*(cast(ni.vrtotal as double precision) / nt.valor))*(coalesce(nia.percentual,100)))/100 AS decimal(15,2)) as valor_apropriado
  , cg.numero as numero_gerencial
  , cg.descricao as conta_gerencial
  , ccn.descricao as centro_negocio
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  left join notaitemapro nia on nia.cdnotaitem = ni.cdnotaitem
  left join centrocusto ccu on ccu.cdcentrocusto = nia.cdcentrocusto
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial
  left join contacorrente con on con.cdcontacorrente = mo.cdcontacorrente
  left join centronegocio ccn on ccn.cdcentronegocio = ccu.cdcentronegocio
where
  nt.tiponota = 'E'
  and nt.valor <> 0
  and nt.cdnotavinculada is null
  and mo.vrpago is null

union all

select
  cast('Transferencia' as varchar(100)) as numero_nota
  , cast(null as varchar(10)) as numero_parcela
  , tr.data as data_vencimento
  , tr.valor as valor_parcela
  , cast(cre.descricao as varchar(100)) as fornecedor
  , cast(tr.numdocumento as varchar(100)) as produto
  , cast(1 as decimal(15,2)) as quantidade_produto
  , cast(tr.data as date) as data_pagamento
  , cast(tr.valor as decimal(15,2)) as valor_pago
  , deb.descricao as conta_corrente
  , cast(tr.data as date) as data_compensacao
  , cast('Transferencia' as varchar(50)) as centro_custo
  , cast(tr.valor as decimal(15,2)) as valor_apropriado
  , cast(null as varchar(15)) as numero_gerencial
  , cast(null as varchar(50)) as conta_gerencial
  , cast(null as varchar(50)) as centro_negocio
from
  transferenciabancaria tr
  left join contacorrente cre on cre.cdcontacorrente = tr.cdcontacorrentecre
  left join contacorrente deb on deb.cdcontacorrente = tr.cdcontacorrentedeb
-- ALTERAR O PERÍODO DAS TRANSFERÊNCIAS BANCÁRIAS AQUI, CONFORME DESEJADO. MANTER O FORMATO DA DATA 'AAAA-MM-DD'
where tr.data between '2022-07-01' and '2023-05-31'

order by 11
